Package weka.gui

# Class PerspectiveManager.SelectedPerspectivePreferences

java.lang.Object
weka.gui.PerspectiveManager.SelectedPerspectivePreferences

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  PerspectiveManager

public static class PerspectiveManager.SelectedPerspectivePreferences extends Object implements Serializable
Class to manage user preferences with respect to visible perspectives and whether the perspectives toolbar is always hidden or is visible on application startup

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectedPerspectivePreferences()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getPerspectivesToolbarAlwaysHidden()`
  Get whether the perspectives toolbar should always be hidden
  `boolean`
  `getPerspectivesToolbarVisibleOnStartup()`
  Get whether the perspectives toolbar should be visible in the GUI at application startup
  `LinkedList<String>`
  `getUserVisiblePerspectives()`
  Get the list of perspectives that the user has specified should be visible in the application
  `void`
  `setPerspectivesToolbarAlwaysHidden(boolean h)`
  Set whether the perspectives toolbar should always be hidden
  `void`
  `setPerspectivesToolbarVisibleOnStartup(boolean v)`
  Set whether the perspectives toolbar should be visible in the GUI at application startup
  `void`
  `setUserVisiblePerspectives(LinkedList<String> userVisiblePerspectives)`
  Set a list of perspectives that should be visible

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SelectedPerspectivePreferences

    public SelectedPerspectivePreferences()

- ## Method Details

  - ### setUserVisiblePerspectives

    public void setUserVisiblePerspectives(LinkedList<String> userVisiblePerspectives)
    Set a list of perspectives that should be visible
    Parameters:
      `userVisiblePerspectives` -

  - ### getUserVisiblePerspectives

    public LinkedList<String> getUserVisiblePerspectives()
    Get the list of perspectives that the user has specified should be visible in the application
    Returns:
      the list of visible perspectives

  - ### setPerspectivesToolbarVisibleOnStartup

    public void setPerspectivesToolbarVisibleOnStartup(boolean v)
    Set whether the perspectives toolbar should be visible in the GUI at application startup
    Parameters:
      `v` - true if the perspectives toolbar should be visible at application startup

  - ### getPerspectivesToolbarVisibleOnStartup

    public boolean getPerspectivesToolbarVisibleOnStartup()
    Get whether the perspectives toolbar should be visible in the GUI at application startup
    Returns:
      true if the perspectives toolbar should be visible at application startup

  - ### setPerspectivesToolbarAlwaysHidden

    public void setPerspectivesToolbarAlwaysHidden(boolean h)
    Set whether the perspectives toolbar should always be hidden
    Parameters:
      `h` - true if the perspectives toolbar should always be hidden

  - ### getPerspectivesToolbarAlwaysHidden

    public boolean getPerspectivesToolbarAlwaysHidden()
    Get whether the perspectives toolbar should always be hidden
    Returns:
      true if the perspectives toolbar should always be hidden